Subject: Re: [RFC] Use cases for 'git statistics'

From: Andreas Ericsson <[email-masked]>
Date: Thu, 15 May 2008 14:21:43 +0200

Jakub Narebski wrote:
> On Tue, 13 May 2008, Sverre Rabbelier wrote:
>> On Tue, May 13, 2008 at 3:07 PM, Jakub Narebski <[email-masked]> wrote:
> 
> [on helping maintainer decide how closely patch should be examined]
> 
>>>  Weighting different statistics, bayesian hypotesis/filtering, expert
>>>  system, machine learning... I guess that would be quite a work to do
>>>  it well.  Probably would require to calculate and adjust scoring of code
>>>  (difficulity) and authors (skill), and matching them...
>>>
>>>  This is certainly in the "wishlist" scope.
>> Yeah, I think it would go in the 'c' of 'MoSCoW', but it could be very
>> useful when done right.
> 
> Errr... what do you mean by 'MoSCoW'?
> 

Must have
Should have
Could have
Won't have

It's a priority scheme used in agile development techniques, where
developers, customers and users work close together. The customer
decides "must have this, or we scrap this project", "should have this,
or users will be unhappy", "could have this, many would appreciate it"
and "won't have this, it's too expensive to develop" after the devs
have estimated the time required to develop the individual components.

Agile development is usually used to go under-feature instead of
over-budget. Since opensource projects are more driven by whatever
passing-by developers happen to find interesting (or annoying) at the
moment (nearly as predictable as Brownian motion), agile development
techniques are very rarely used successfully to develop oss in
anything but extremely tight communities.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231